/*
 *	buildmisc.h
 *
 *	Constants needed to exchange data with the interface builder.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef	_OPaC_BUILDMISC_H_
#define	_OPaC_BUILDMISC_H_

//	List of fields which must be supported by the builder :

#define	OP_BUILDER_OBJECT			"selected_object"
#define	OP_BUILDER_SELVIEW			"selected_sel_view"

//	List of actors/methods which must be supported by the builder :

#define	OP_BUILDER_CONNECT			"NotifyConnectionBegin"
#define	OP_BUILDER_MENU				"NotifyMenuBegin"

#define	OP_BUILDER_DO_DELETE		"NotifyDeleteSelection"
#define	OP_BUILDER_DO_INSPECT		"NotifyInspectSelection"
#define	OP_BUILDER_DO_EXTRACT		"NotifyExtractSelection"

#define	OP_BUILDER_SELECT_BEGIN		"NotifySelectionBegin"
#define	OP_BUILDER_SELECT_END		"NotifySelectionEnd"

#endif /* _OPaC_BUILDMISC_H_ */
