/*
 *	scrstyle.h
 *
 *	Defines the scroll styles.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef	_OPaC_SCRSTYLE_H_
#define	_OPaC_SCRSTYLE_H_

/****************************************************************/

/*
 *	There are many ways to place the scroll arrows on the
 *	scroller. These are :
 */

OP_TYPEDEF (Card32, OPScrollArrowPos);

#define	OP_SCROLL_ARROW_NONE	0				//	no arrows at all
#define	OP_SCROLL_ARROW_MAX		1				//	both arrows bottom or right
#define	OP_SCROLL_ARROW_MIN		2				//	both arrows top or left
#define	OP_SCROLL_ARROW_NORMAL	3				//	arrow 1: bottom or right, 2: top or left
#define	OP_SCROLL_ARROW_MINMAX	4				//	both arrows twice

/****************************************************************/

#endif /* _OPaC_SCRSTYLE_H_ */
