/*
 *	tooltip.h
 *
 *	The Tool Tip class is some kind of very simple help balloon.
 *
 *	(C) Copyright 1997-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef	_OPaC_TOOLTIP_H_
#define	_OPaC_TOOLTIP_H_

#ifndef _OPaC_OPEXPORT_H_
#include <OPaC/opexport.h>
#endif

#ifndef _OPaC_WINDOW_H_
#include <OPaC/window.h>
#endif

/****************************************************************/

/*
 *	A tool tip is just a window with a very thin frame,
 *	a colored background and a tiny text.
 */

class OP_PUBLIC OPToolTip : public OPWindow
{
	
protected:
	OPTextTagRef		tip;					//	text displayed as a "tip"
	
protected:
	OPToolTip ();
	virtual ~ OPToolTip ();
	
	virtual void StoreInstance (OPStorageIn storage);	/* OVERRIDDEN */
	virtual void RestoreInstance (OPStorageIn storage);	/* OVERRIDDEN */
	
public:
	virtual void Delete ();								/* OVERRIDDEN */
	virtual void Dismiss ();
	
	virtual Bool SetTitle (OPStringIn name);				/* OVERRIDDEN */
	virtual Bool SetTitle (OPStringIn name, OPCoord x, OPCoord y, Bool show = FALSE);
	
	virtual void Draw (OPGrailPortIn port, OPRectIn rect, OPDrawOp = OP_DRAW_ALL);/* OVERRIDDEN */
	
	OP_DEFINE_CLASS (OPToolTip, OPWindow);
};

/****************************************************************/

#endif /* _OPaC_TOOLTIP_H_ */

