/*
 *	sd_interface.h
 *
 *	32-bit Windows interface for the OPaC project. This file contains the
 *	machine dependent definitions.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef	_WINIFACE_H_
#define	_WINIFACE_H_

#define	WinMain		__dummy_WinMain
#undef	TRUE
#undef	FALSE
#define	STRICT
#define	NOCOMM
#include <windows.h>
#include <mmsystem.h>
//#include <wininet.h>
#undef	FindWindow
#undef	DELETE									//	WINNT.H defines DELETE, which we need too
#undef	TRUE									//	WINDOWS.H defines TRUE to be 1 and FALSE..
#undef	FALSE									//	to be 0, but without any type cast !
#define	FALSE	((Bool)(0))
#define	TRUE	((Bool)(1))
#undef	WinMain

#ifndef _OPaC_TYPES_H_
#include <OPaC/types.h>
#endif


typedef MSG* MessagePtr;

#define	GLOBNAME_ID		"OPaC:Grail:1:"
#define	GRAIL_MAGIC		0xCA11BABEL

/*
 *	Windows API window interface structure.
 */

struct OPaC_GrWindow
{
	static HINSTANCE	win_app;				//	global Windows API application instance
	static Count		counter;				//	window counter
	static char			globname[64];			//	global window name
	
	LatinChar			wclass_name[64];		//	window class name (unique)
	WNDCLASS			wclass;					//	window class description
	ATOM				wclass_atom;			//	window class ATOM
	HWND				window;					//	window handle
	
	static OP_PUBLIC void GlobalInit (HINSTANCE);
};


/*
 *	Windows API interface to a cursor.
 */

struct OPaC_GrCursor
{
	HCURSOR				hcursor;				//	handle to cursor
};

struct OPaC_RemoteAppDesc
{
	HWND				hwnd;					//	window of target application
	char				name[64];				//	"globname" of target application
};

/****************************************************************/

#define DeletePen(hpen)   DeleteObject((HGDIOBJ)(HPEN)(hpen))
#define DeleteBrush(hbr)  DeleteObject((HGDIOBJ)(HBRUSH)(hbr))
#define DeleteRgn(hrgn)   DeleteObject((HGDIOBJ)(HRGN)(hrgn))
#define DeleteFont(hfont) DeleteObject((HGDIOBJ)(HFONT)(hfont))

#define SelectPen(hdc, hpen)   ((HPEN)SelectObject((hdc), (HGDIOBJ)(HPEN)(hpen)))
#define SelectBrush(hdc, hbr)  ((HBRUSH)SelectObject((hdc), (HGDIOBJ)(HBRUSH)(hbr)))
#define SelectFont(hdc, hfont) ((HFONT)SelectObject((hdc), (HGDIOBJ)(HFONT)(hfont)))

#define GetStockPen(i)   ((HPEN)GetStockObject(i))
#define GetStockBrush(i) ((HBRUSH)GetStockObject(i))
#define GetStockFont(i)  ((HFONT)GetStockObject(i))

/****************************************************************/

#endif /* _WINIFACE_H_ */
